Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ca.bc.webarts.widgets
Class ColouredLabel

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JLabel
                              |
                              +--ca.bc.webarts.widgets.ColouredLabel

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.swing.SwingConstants

public class ColouredLabel
extends javax.swing.JLabel

A class to extend JLabel with some added easily settable colour and Font settings.

It allows easily setting the text colour and the background colour of the label.

Now you don't have to override paint.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JLabel
`javax.swing.JLabel.AccessibleJLabel`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent, javax.swing.JComponent.ActionStandin, javax.swing.JComponent.IntVector, javax.swing.JComponent.KeyboardState`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.AWTTreeLock`

Field Summary
`protected java.awt.Color` | `backColour_`
`protected java.lang.String` | `boldOff_`
`protected java.lang.String` | `boldOn_`
`private static java.lang.String` | `DEFAULT_FONT_FACE`
`protected java.lang.String` | `fontName_`
`protected java.lang.String` | `fontSize_`
`protected java.lang.String` | `italicOff_`
`protected java.lang.String` | `italicOn_`
`protected java.lang.String` | `labelText_`
`protected java.awt.Color` | `textColour_`

Fields inherited from class javax.swing.JLabel
`accessibleIcon, defaultIcon, disabledIcon, disabledIconSet, horizontalAlignment, horizontalTextPosition, iconTextGap, LABELED_BY_PROPERTY, labelFor, mnemonic, text, uiClassID, verticalAlignment, verticalTextPosition`

Fields inherited from class javax.swing.JComponent
`_bounds, accessibleContext, actionMap, ACTIONMAP_CREATED, alignmentX, alignmentY, ANCESTOR_INPUTMAP_CREATED, ANCESTOR_USING_BUFFER, ancestorInputMap, ancestorNotifier, autoscroller, border, changeSupport, clientProperties, CREATED_DOUBLE_BUFFER, flags, FOCUS_INPUTMAP_CREATED, focusInputMap, HAS_FOCUS, htmlKey, htmlView, inputVerifier, IS_DOUBLE_BUFFERED, IS_OPAQUE, IS_PAINTING_TILE, IS_PRINTING, IS_PRINTING_ALL, KEY_EVENTS_ENABLED, KEYBOARD_BINDINGS_KEY, listenerList, maximumSize, minimumSize, NEXT_FOCUS, paintImmediatelyClip, paintingChild, preferredSize, readObjectCallbacks, REQUEST_FOCUS_DISABLED, tmpRect, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, verifyInputWhenFocusTarget, vetoableChangeSupport, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW, WHEN_IN_FOCUSED_WINDOW_BINDINGS, WIF_INPUTMAP_CREATED, windowInputMap`

Fields inherited from class java.awt.Container
`component, containerListener, containerSerializedDataVersion, dbg, dispatcher, layoutMgr, listeningBoundsChildren, listeningChildren, maxSize, ncomponents, needsPaint, printing, printingThreads, serialVersionUID`

Fields inherited from class java.awt.Component
`actionListenerK, adjustmentListenerK, appContext, background, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, componentListener, componentListenerK, componentOrientation, componentSerializedDataVersion, containerListenerK, cursor, dropTarget, enabled, eventMask, focusListener, focusListenerK, font, foreground, graphicsConfig, hasFocus, height, hierarchyBoundsListener, hierarchyBoundsListenerK, hierarchyListener, hierarchyListenerK, incRate, inputMethodListener, inputMethodListenerK, isInc, isPacked, itemListenerK, keyListener, keyListenerK, LEFT_ALIGNMENT, locale, LOCK, metrics, minSize, mouseListener, mouseListenerK, mouseMotionListener, mouseMotionListenerK, name, nameExplicitlySet, newEventsOnly, ownedWindowK, parent, peer, peerFont, popups, prefSize, privateKey, RIGHT_ALIGNMENT, textListenerK, TOP_ALIGNMENT, valid, visible, width, windowClosingException, windowListenerK, x, y`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NORTH, NORTH_EAST, NORTH_WEST, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ColouredLabel(java.awt.Color backColour, java.awt.Color textColour, java.awt.Font newFont, java.lang.String labelText)` Constructor to set up the Label with the specified colours.
`ColouredLabel(java.awt.Color backColour, java.awt.Color textColour, java.lang.String labelText)` Constructor to set up the Label with the specified colours.
`ColouredLabel(java.awt.Color textColour, java.lang.String labelText)` Constructor to set up the Label with the specified colour.
`ColouredLabel(java.lang.String labelText)` Basic constructor to set up the Label with the specified colour.

Method Summary
`private void` | `coloursChanged()` Refreshes the text string with some new colour values.
`java.awt.Color` | `getBackColour()` Get method for the current Background Colour being used in this label.
`private java.lang.String` | `getBackHtmlString()` Get the HTML string representing the Current Background Colour.
`java.awt.Color` | `getTextColour()` Get method for the current Text Colour being used in this label.
`private java.lang.String` | `getTextHtmlString()` Get the HTML string representing the Current Text Colour.
`static java.lang.String` | `getTextHtmlString(java.awt.Color c)` Get the HTML string representing the specified Color.
`void` | `setBackColour(java.awt.Color backColour)` Sets the current background Text Colour being used in this label.
`void` | `setFont(java.awt.Font newFont)` Allows setting of the Font to use in this label.
`void` | `setFontName(java.lang.String fontName)` A convienience method to directly set the Font using the face name instead of sending a Font object.
`void` | `setText(java.lang.String newText)` Overrides the JLabel setText to add the extra stuff to get the extra colours and font stuff.
`void` | `setTextColour(java.awt.Color textColour)` Sets the current Text Colour being used in this label.

Methods inherited from class javax.swing.JLabel
`checkHorizontalKey, checkVerticalKey, getAccessibleContext, getDisabledIcon, getDisplayedMnemonic, getHorizontalAlignment, getHorizontalTextPosition, getIcon, getIconTextGap, getLabelFor, getText, getUI, getUIClassID, getVerticalAlignment, getVerticalTextPosition, imageUpdate, paramString, setDisabledIcon, setDisplayedMnemonic, setDisplayedMnemonic, setHorizontalAlignment, setHorizontalTextPosition, setIcon, setIconTextGap, setLabelFor, setUI, setVerticalAlignment, setVerticalTextPosition, updateUI, writeObject`

Methods inherited from class javax.swing.JComponent
`_paintImmediately, , addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, adjustPaintFlags, alwaysOnTop, checkIfChildObscuredBySibling, clearFocusOwners, componentInputMapChanged, computeVisibleRect, computeVisibleRect, compWriteObjectNotify, contains, createToolTip, disable, enable, enableSerialization, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getActionMap, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperties, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getCreatedDoubleBuffer, getDebugGraphicsOptions, getFlag, getGraphics, getHeight, getInputMap, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVerifyInputWhenFocusTarget, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, hide, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paintWithBuffer, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processFocusEvent, processKeyBinding, processKeyBindings, processKeyBindingsForAllComponents, processKeyEvent, processMouseMotionEvent, putClientProperty, readObject, rectangleIsObscured, rectangleIsObscuredBySibling, registerKeyboardAction, registerKeyboardAction, registerWithKeyboardManager, registerWithKeyboardManager, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setCreatedDoubleBuffer, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFlag, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPaintingChild, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVerifyInputWhenFocusTarget, setVisible, shouldDebugGraphics, superProcessMouseMotionEvent, unregisterKeyboardAction, unregisterWithKeyboardManager, unregisterWithKeyboardManager, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, adjustListeningChildren, applyOrientation, checkGD, countComponents, createChildHierarchyEvents, createHierarchyEvents, deliverEvent, dispatchEventImpl, dispatchEventToSelf, doLayout, eventEnabled, findComponentAt, findComponentAt, findComponentAt, getAccessibleAt, getAccessibleChild, getAccessibleChildrenCount, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents_NoClientCode, getComponents, getLayout, getMouseEventTarget, getWindow, initIDs, insets, invalidate, invalidateTree, isAncestorOf, layout, lightweightPaint, lightweightPrint, list, list, locate, minimumSize, nextFocus, numListening, paintComponents, paintHeavyweightComponents, postProcessKeyEvent, postsOldMouseEvents, preferredSize, preProcessKeyEvent, printComponents, printHeavyweightComponents, processContainerEvent, processEvent, proxyEnableEvents, proxyRequestFocus, remove, remove, removeAll, removeContainerListener, setFocusOwner, setLayout, transferFocus, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, areInputMethodsEnabled, bounds, checkImage, checkImage, checkWindowClosingException, coalesceEvents, constructComponentName, contains, createImage, createImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getAccessibleIndexInParent, getAccessibleStateSet, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont_NoClientCode, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen_NoTreeLock, getLocationOnScreen, getName, getNativeContainer, getParent_NoClientCode, getParent, getPeer, getSize, getToolkit, getToolkitImpl, getTreeLock, getWindowForObject, gotFocus, handleEvent, inside, isDisplayable, isEnabled, isEnabledImpl, isLightweight, isRecursivelyVisible, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resetGC, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### DEFAULT_FONT_FACE

    private static final java.lang.String DEFAULT_FONT_FACE

### textColour_

    protected java.awt.Color textColour_

### backColour_

    protected java.awt.Color backColour_

### labelText_

    protected java.lang.String labelText_

### fontName_

    protected java.lang.String fontName_

### fontSize_

    protected java.lang.String fontSize_

### boldOn_

    protected java.lang.String boldOn_

### boldOff_

    protected java.lang.String boldOff_

### italicOn_

    protected java.lang.String italicOn_

### italicOff_

    protected java.lang.String italicOff_

Constructor Detail

### ColouredLabel

    public ColouredLabel(java.lang.String labelText)

  Basic constructor to set up the Label with the specified colour.
  Parameters:
    `labelText` - the text in the label

### ColouredLabel

    public ColouredLabel(java.awt.Color textColour,
                         java.lang.String labelText)

  Constructor to set up the Label with the specified colour.
  Parameters:
    `textColour` - is the Color to use in the text in the label
    `labelText` - the text in the label

### ColouredLabel

    public ColouredLabel(java.awt.Color backColour,
                         java.awt.Color textColour,
                         java.lang.String labelText)

  Constructor to set up the Label with the specified colours.
  Parameters:
    `backColour` - is the Color to use in the back of the label
    `textColour` - is the Color to use in the text in the label
    `labelText` - the text in the label

### ColouredLabel

    public ColouredLabel(java.awt.Color backColour,
                         java.awt.Color textColour,
                         java.awt.Font newFont,
                         java.lang.String labelText)

  Constructor to set up the Label with the specified colours.
  Parameters:
    `backColour` - is the Color to use in the back of the label
    `textColour` - is the Color to use in the text in the label
    `newFont` - is the Font to use in the text in the label
    `labelText` - the text in the label

Method Detail

### setText

    public void setText(java.lang.String newText)

  Overrides the JLabel setText to add the extra stuff to get the extra colours and font stuff.
  Overrides:
    `setText` in class `javax.swing.JLabel`
  Parameters:
    `newText` - the text to go in the label.

### setFont

    public void setFont(java.awt.Font newFont)

  Allows setting of the Font to use in this label. It parses the Face, Italic and Bold attributes.
  Overrides:
    `setFont` in class `javax.swing.JComponent`
  Parameters:
    `newFont` - the new font to use for this ColouredLabel.

### setFontName

    public void setFontName(java.lang.String fontName)

  A convienience method to directly set the Font using the face name instead of sending a Font object.
  Parameters:
    `Font` - the face name to use.

### setTextColour

    public void setTextColour(java.awt.Color textColour)

  Sets the current Text Colour being used in this label.
  Parameters:
    `textColour` - the current Text Colour to use in this label.

### setBackColour

    public void setBackColour(java.awt.Color backColour)

  Sets the current background Text Colour being used in this label.
  Parameters:
    `backColour` - the current background Colour to use in this label.

### getTextColour

    public java.awt.Color getTextColour()

  Get method for the current Text Colour being used in this label.
  Returns:
    the current Text Colour being used in this label.

### getBackColour

    public java.awt.Color getBackColour()

  Get method for the current Background Colour being used in this label.
  Returns:
    the current Background Colour being used in this label.

### getTextHtmlString

    private java.lang.String getTextHtmlString()

  Get the HTML string representing the Current Text Colour.

### getBackHtmlString

    private java.lang.String getBackHtmlString()

  Get the HTML string representing the Current Background Colour.

### getTextHtmlString

    public static java.lang.String getTextHtmlString(java.awt.Color c)

  Get the HTML string representing the specified Color.
  Parameters:
    `c` - is the Color to retrieve the html string for.

### coloursChanged

    private void coloursChanged()

  Refreshes the text string with some new colour values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD